mueval-0.9.3: Safely evaluate pure Haskell expressions

Safe Haskell | Safe-Inferred
Language | Haskell98

Mueval.Resources

Synopsis

- limitResources :: Bool -> IO ()

# Documentation

limitResources :: Bool -> IO () Source #

Pull together several methods of reducing priority and easy access to resources: `nice`, and the rlimit bindings, If called with False, `limitResources` will not use POSIX rlimits.